Foreman - Bug #4626

Facter 2 + DB migrations: undefined method ‘domain’ for Facter:Module
03/11/2014 11:16 AM - Dominic Cleal

Status: Closed

Priority: High

Assignee: Dominic Cleal

Category: DB migrations

Target version: 1.4.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

During DB migrations with Facter 2 installed, there are quite a few calls to Facter.foo, which is no longer supported.

# [ WARN 2014-03-11 10:43:56 verbose] /Stage[main] /Foreman: :Database/Foreman: :Rake[db:migrate] /Ex
ec[foreman-rake-db:migrate] /returns: rake aborted!

# [ WARN 2014-03-11 10:43:56 verbose] /Stage[main]/Foreman::Database/Foreman: :Rake[db:migrate]/Ex
ec[foreman-rake-db:migrate] /returns: An error has occurred, this and all later migrations canceled

# [ WARN 2014-03-11 10:43:56 verbose] /Stage[main] /Foreman: :Database/Foreman: :Rake [db:migrate] /Ex
ec[foreman-rake-db:migrate] /returns:

# [ WARN 2014-03-11 10:43:56 verbose] /Stage[main]/Foreman::Database/Foreman: :Rake[db:migrate]/Ex
ec[foreman-rake-db:migrate] /returns: undefined method “domain' for Facter:Module

Related issues:
Related to Installer - Bug #4372: undefined method “fqdn' for Facter:Module (... Closed 02/18/2014
Blocks Installer - Tracker #4359: Puppet 3.5.0 support Closed 02/17/2014 02/28/2014

Associated revisions

Revision 312042b0 - 03/12/2014 04:02 PM - Dominic Cleal
fixes #4626 - update Facter calls for 2.0 compatibility

Revision 0c93dfc0 - 03/17/2014 01:48 PM - Dominic Cleal

fixes #4626 - update Facter calls for 2.0 compatibility

(cherry picked from commit 312042b0ddd557fb42f67ba7424020b8dde72da2)
Conflicts:

app/models/setting/general.rb
app/models/setting/provisioning.rb

History

#1 - 03/11/2014 11:17 AM - Dominic Cleal
- Blocks Tracker #4359: Puppet 3.5.0 support added

#2 - 03/11/2014 11:17 AM - Dominic Cleal
- Related to Bug #4372: undefined method “fqdn’ for Facter:Module (NoMethodError) in hostanme.rb system check added

#3 - 03/11/2014 11:20 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1288

#4 - 03/12/2014 04:31 PM - Dominic Cleal
https://github.com/theforeman/foreman/pull/1288

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 312042b0ddd557fb42f67ba7424020b8dde72da2.
